
.app-list {
  list-style: none;
  display: grid;
  /* for some reason this (that would ensure 1, 2 or 3 columns depending on
  available width) doesn't really work with 5 or less elements (those are
  presented in single column even though there is lots of room)

  // grid-template-columns: repeat(auto-fit, minmax(min(22rem, 100%), 1fr));

  so we use a hard coded 3 column layout though with dynamic size
  */
  grid-template-columns: repeat(3, minmax(min(22rem, 100%), 1fr));
  gap: 2rem;
  padding-inline-start: 0;
  margin-inline: auto;
  width: 100%;
}

.internal-title {
  margin-block: var(--fluid-space-24-32);
  font-size: 2.5rem;
}

.app-item {
  max-width: 400px;
  display: flex;
  flex-direction: column;
  width: 100%;
  overflow: hidden;
  background-color: var(--brand-grey-N80);
  border-radius: var(--app-item-radius);
}

.app-item a {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  color: var(--brand-white);
  text-decoration: none;
  text-align: center;
  padding-block: 2rem 2rem;
  padding-inline: 1rem;
  transition: filter 0.2s ease-in-out;
}

.app-item figure {
  display: grid;
  place-items: center;
  width: 9.5rem;
  height: var(--app-item-height);
  padding: var(--app-item-padding);
  aspect-ratio: 1/1;
  margin-inline: auto;
}

.app-item img {
  width:100%;
  height: 100%;
  margin-block-start: auto;
}


.app-item h2 {
  font-size: 1.5rem;
}

.app-item p {
  font-family: var(--header-font);
  font-weight: 400;
  font-style: normal;
  font-size: 1rem;
  margin-block-start: 0;
}


.app-item a:hover img {
  /* Higher contrast and grayscale */
  filter: contrast(0.5) grayscale(0.5);
}

#datatable_wrapper {
  max-width: var(--max-width-XL);
  margin-left: auto;
  margin-right: auto;
}


#datatable th {
  font-family: var(--header-font);
  font-weight: 400;
  font-style: normal;
  font-size:var(--fluid-text-20-24);
  text-align: left;
}

#datatable th.sorting {
  background-image: url(../../img/sort_both.png);
  background-repeat: no-repeat;
  background-position: center right; }

#datatable th.sorting_desc {
  background-image: url(../../img/sort_desc.png); }

#datatable th.sorting_asc {
  background-image: url(../../img/sort_asc.png); }

#datatable th#tjanster {
  width: 300px;
}
#datatable th#actions {
  width: 30px;
}
#datatable_filter {
  text-align: right; }

#datatable td {
  vertical-align: top;
}

img.small-app-icon {
    width: 25px;
    height: 25px;
}


#datatable td img.small-app-icon {
  display: inline;
}

img.super-small-icon {
  width: 19px;
  height: 19px;
}

a.extend {
  float: right; }

a.reduce {
  display: none;
  float: right;
}

.extendable {
  display: none;
}
.options-popout {
  position: absolute;
  top: 0px; left: 34px;
  width: 200px;
  padding: 2px;
  background-color: var(--brand-black-100);
  z-index: 1;
  /* left: 181px; */
  /* padding-bottom: 24px; */
}
.options-popout a.action-link {
  font-family: var(--header-font);
  font-size:var(--fluid-text-20-24);
  color: white;
  text-decoration: none;
}

.options-popout form input.btn {
  font-family: var(--header-font);
  text-transform: none;
  font-size:var(--fluid-text-20-24);
  background-color: var(--brand-grey-n80);
  color: white;
  padding: 0
}

main.useradm,
main.clientconfig {
  max-width: var(--max-width-text);
  min-width: var(--max-width-text);
  margin-left: auto;
  margin-right: auto;
}

main.content {
  max-width: var(--max-width-text);
  margin-left: auto;
  margin-right: auto;
}

main.content h2, main.content h3  {
  margin-top: 1rem;
}
main.content p  {
  margin-top: 0.5rem;
}

main.numbered {
  counter-reset: h2counter; }
  main.numbered section {
    counter-reset: pcounter; }
    main.numbered section h2 {
      position: relative; }
    main.numbered section h2:before {
      position: absolute;
      left: -30px;
      content: counter(h2counter) ".";
      counter-increment: h2counter;
      counter-reset: pcounter; }
    main.numbered section p {
      position: relative;
      color: white; }
    main.numbered section p:before {
      position: absolute;
      left: -30px;
      content: counter(h2counter) "." counter(pcounter);
      counter-increment: pcounter; }
    main.numbered section p.unnumbered:before {
      position: absolute;
      left: -30px;
      content: none;
      counter-increment: none; }
    main.numbered section ol {
      counter-reset: list; }
      main.numbered section ol li {
        list-style: none;
        position: relative; }
      main.numbered section ol li:before {
        content: "(" counter(list, lower-alpha) ") ";
        counter-increment: list;
        position: absolute;
        left: -1.4em; }


main.settings {
  max-width: 900px;
  margin-left: auto;
  margin-right: auto;
}


form {
  font-family: var(--body-font);
  font-weight: 300;
  font-style: normal;
  font-size: var(--fluid-text-18-20);
}

form label {
    font-family: var(--body-font);
    font-size:var(--fluid-text-18-20);
    display: block;
    padding: 0;
    margin: 0 0 3px 0;
    text-align: left; 
  }
  
  form input[type="password"], input[type="text"], input[type="number"], form input[type="email"], form select, form textarea, form button {
    font-family: var(--header-font);
    font-size:var(--fluid-text-18-20);
    display: block;
    width: 100%;
    border: none;
    padding: 6px;
    box-sizing: border-box;
    margin-bottom: 10px; }
  form button {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  form textarea {
    height: 100px; }
  form input:focus, form select:focus {
    outline: none; }
  form input[type='checkbox'], form input[type='radio'] {
    width: auto;
    display: inline;
    float: left;
    margin: 8px 8px 0 0; }
  small.text-muted {
    display: block;
    font-size: small;
    line-height: 18px;
    color: var(--brand-1);
  }
  form div#iconpicker img {
    display: inline;
  }
  form div.row {
    text-align: left;
    display: table-row; }
    form div.row div.col {
      display: table-cell;
      padding-right: 10px;
      width: 50%;
    }
    form div.row div.col-colspan-2 {
      display: block;
      padding-right: 10px;
      width: 100%;
    }

p.add-button {
  max-width: 400px;
  margin: 10px auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

p.add-button a {
  display: inline;
  text-decoration: none;
  font-family: var(--header-font);
  color: var(--brand-black-100);
}

/* password change screen (settings.html) */
.check {
  content: "";
  background-repeat: no-repeat;
  background-size: 1rem 1rem;
  padding-left: 1.2rem;
  margin: 5px 0; }

.check-undecided {
  color: #666;
  background-position-y: 5px;
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 16 16" fill="%23444" xmlns="http://www.w3.org/2000/svg"><path d="M14 1a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/></svg>'); }

.check-ok {
  color: #4b4;
  background-position-y: 5px;
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 16 16" fill="%234b4" xmlns="http://www.w3.org/2000/svg"><path d="M14 1a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/><path d="M10.97 4.97a.75.75 0 0 1 1.071 1.05l-3.992 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.235.235 0 0 1 .02-.022z"/></svg>'); }

.check-warning {
  color: #b44;
  background-position-y: 5px;
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 16 16" fill="%23b44" xmlns="http://www.w3.org/2000/svg"><path d="M14 1a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/><path d="M7.002 11a1 1 0 1 1 2 0 1 1 0 0 1-2 0zM7.1 4.995a.905.905 0 1 1 1.8 0l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 4.995z"/></svg>'); }

.check-flash {
  animation: checkflash 0.5s; }

@keyframes checkflash {
  from {
    background-color: #b44; }
  to {
    background-color: black; } }


span.field-help, span.choice-help {
  float: right; }
  span.field-help a.field-help-expand, span.field-help a.choice-help-expand, span.choice-help a.field-help-expand, span.choice-help a.choice-help-expand {
    background-position: right;
    background-repeat: no-repeat;
    background-size: 10px;
    letter-spacing: 0.6px;
    padding-right: 13px;
    background-position-y: 6px;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 19.32 12.11" fill="white"><polygon points="2.44 0 0 2.44 9.66 12.11 19.32 2.44 16.88 0 9.66 7.22 2.44 0"/></svg>'); }
  span.field-help a.field-help-contract, span.field-help a.choice-help-contract, span.choice-help a.field-help-contract, span.choice-help a.choice-help-contract {
    background-position: right;
    background-repeat: no-repeat;
    background-size: 10px;
    letter-spacing: 0.6px;
    padding-right: 13px;
    background-position-y: 6px;
    display: none;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 19.32 12.11" fill="white"><polygon points="16.88 12.11 19.32 9.66 9.66 0 0 9.66 2.44 12.11 9.66 4.89 16.88 12.11"/></svg>'); }
    div.field-help-text {
      display: none;
      margin: 0 0 20px 0;
      font-size: 10pt;
      font-weight: 400;
      letter-spacing: 0.2px; }
